/*
 * Copyright 2006-2007 Queplix Corp.
 *
 * Licensed under the Queplix Public License, Version 1.1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.queplix.com/solutions/commercial-open-source/queplix-public-license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 *
 */
package com.queplix.core.client.controls;

import com.google.gwt.user.client.ui.HTMLPanel;

/**
 * QFormHtmlElement.
 *
 * @author Sultan Tezadov
 * @since 30 Jan 2007
 */
public class QFormHtmlElement extends QFormLayoutElement {
    private HTMLPanel panel;

    public QFormHtmlElement(String html) {
        panel = new HTMLPanel(html);
        initWidget(panel);
    }

    protected void fireLinkedFormSelectionEvent() {
    }

    protected void setClientWidth(String clientWidth) {
        panel.setWidth(clientWidth);
    }

    public int getFilledWidth() {
        return 0;
    }

    public int getClientWidth() {
        return panel.getOffsetWidth();
    }

}
